Crash in CoreTutorial (Value2.cpp - Debug Mode)
Description

Running CoreTutorial leads to crash. The problem is in following lines of code (Value2.cpp):

#if 0
INITBLOCK { // This has to be at file level scope
#endif

Value::Register<Foo>(); // need to register value type integer id to allow serialization // <- CRASH

#if 0
}
#endif

This is Assert problem, so the issue is present only in debug mode.

History

#1 - 12/27/2020 02:04 PM - Zbigniew Rebacz

- Subject changed from CoreTutorial crashes to Crash in CoreTutorial (Value2.cpp)

#2 - 12/27/2020 02:54 PM - Zbigniew Rebacz

- Subject changed from Crash in CoreTutorial (Value2.cpp) to Crash in CoreTutorial (Value2.cpp - Debug Mode)

- Description updated
#3 - 12/28/2020 11:29 AM - Miroslav Fidler
- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#4 - 01/03/2021 08:40 AM - Miroslav Fidler
- Status changed from Ready for QA to Approved
